geos::operation::overlayng::RingClipper Class Reference

`#include <RingClipper.h>`

## Public Member Functions

| RingClipper (const Envelope *env)
std::unique_ptr< CoordinateSequence > | clip (const CoordinateSequence *cs) const

## Detailed Description

Clips rings of points to a rectangle. Uses a variant of Cohen-Sutherland clipping.

In general the output is not topologically valid. In particular, the output may contain coincident non-noded line segments along the clip rectangle sides. However, the output is sufficiently well-structured that it can be used as input to the `OverlayNG` algorithm (which is able to process coincident linework due to the need to handle topology collapse under precision reduction).

Because of the likelihood of creating extraneous line segments along the clipping rectangle sides, this class is not suitable for clipping linestrings.

The clipping envelope should be generated using `RobustClipEnvelopeComputer`, to ensure that intersecting line segments are not perturbed by clipping. This is required to ensure that the overlay of the clipped geometry is robust and correct (i.e. the same as if clipping was not used).

See also
  LineLimiter

Author
  Martin Davis

## Member Function Documentation

## clip()

std::unique_ptr< CoordinateSequence > geos::operation::overlayng::RingClipper::clip | ( | const CoordinateSequence * | cs | ) | const

Clips a list of points to the clipping rectangle box.

The documentation for this class was generated from the following file:

- RingClipper.h